package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class LogbookKinerjaDokterVO extends BaseTransactionVO {

	@Caption(value = "Bulan")
	private Date bulan;

	@Caption(value = "Detail Target")
	private Double detailTarget;

	@Caption(value = "Detail Capaian")
	private Double detailCapaian;

	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;

	private Integer pegawaiId;

	@Caption(value = "Jabatan")
	private JabatanVO jabatan;

	private Integer jabatanId;

	@Caption(value = "Indikator Kinerja Detail")
	private IndikatorKinerjaDetailVO indikatorDetail;

	private Integer indikatorDetailId;

	@Caption(value = "Tanggal Hitung")
	public Date tglHitung;

	public Date getBulan() {
		return bulan;
	}

	public void setBulan(Date bulan) {
		this.bulan = bulan;
	}

	public Double getDetailTarget() {
		return detailTarget;
	}

	public void setDetailTarget(Double detailTarget) {
		this.detailTarget = detailTarget;
	}

	public Double getDetailCapaian() {
		return detailCapaian;
	}

	public void setDetailCapaian(Double detailCapaian) {
		this.detailCapaian = detailCapaian;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public Integer getJabatanId() {
		return jabatanId;
	}

	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}

	public IndikatorKinerjaDetailVO getIndikatorDetail() {
		return indikatorDetail;
	}

	public void setIndikatorDetail(IndikatorKinerjaDetailVO indikatorDetail) {
		this.indikatorDetail = indikatorDetail;
	}

	public Integer getIndikatorDetailId() {
		return indikatorDetailId;
	}

	public void setIndikatorDetailId(Integer indikatorDetailId) {
		this.indikatorDetailId = indikatorDetailId;
	}

	public Date getTglHitung() {
		return tglHitung;
	}

	public void setTglHitung(Date tglHitung) {
		this.tglHitung = tglHitung;
	}

}
